> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Template

> Update template metadata. Admin-only.



## OpenAPI

````yaml https://www.datalab.to/openapi.json put /api/v1/pipeline_templates/{slug}
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/pipeline_templates/{slug}:
    put:
      tags:
        - Pipeline Templates (Deprecated)
      summary: Update Template
      description: Update template metadata. Admin-only.
      operationId: update_template_api_v1_pipeline_templates__slug__put
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
            title: Slug
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: >-
                #/components/schemas/Body_update_template_api_v1_pipeline_templates__slug__put
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TemplateDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Body_update_template_api_v1_pipeline_templates__slug__put:
      properties:
        template_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Description
        template_category:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Category
        sort_order:
          anyOf:
            - type: integer
            - type: 'null'
          title: Sort Order
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
      type: object
      title: Body_update_template_api_v1_pipeline_templates__slug__put
    TemplateDetailResponse:
      properties:
        processor_id:
          type: string
          title: Processor Id
        slug:
          type: string
          title: Slug
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        template_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Description
        template_category:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Category
        request_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Description
        example_files:
          items:
            $ref: '#/components/schemas/TemplateExampleFile'
          type: array
          title: Example Files
        display_config:
          anyOf:
            - $ref: '#/components/schemas/TemplateDisplayConfig'
            - type: 'null'
      type: object
      required:
        - processor_id
        - slug
      title: TemplateDetailResponse
      description: Detailed template info.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TemplateExampleFile:
      properties:
        filename:
          type: string
          title: Filename
        file_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: File Size
        content_type:
          type: string
          title: Content Type
          default: application/pdf
      type: object
      required:
        - filename
      title: TemplateExampleFile
      description: Example file info for a template.
    TemplateDisplayConfig:
      properties:
        recommended_view:
          anyOf:
            - type: string
            - type: 'null'
          title: Recommended View
          description: >-
            Which viewer tab to auto-select: 'blocks', 'html_rendered',
            'html_raw', 'markdown', 'json'
        changes_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Changes Description
          description: Human-readable summary of what this template changes
        highlight_css:
          anyOf:
            - type: string
            - type: 'null'
          title: Highlight Css
          description: >-
            CSS rules to inject into the HTML viewer to highlight template
            changes
      type: object
      title: TemplateDisplayConfig
      description: Configuration for how the UI should display template results.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````